<template>
  <div style="width: 100%">
      <div id="main3" />
    <p style="text-align: center;font-size: 16px;font-weight: 600">工单类型</p>
  </div>
</template>
<script>
import * as echarts from 'echarts';

export default {
  name: 'GDLX',
  props: {
    activeId: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      myChart: null,
      options: {},
    };
  },
  mounted() {
    this.getCenterLine();
    // 监听屏幕宽度变化：当浏览器发生resize事件的时候，触发echart的resize事件，重绘canvas
    window.addEventListener('resize', () => {
      this.changeWidth();
    });
  },
  methods: {

    getCenterLine() {
      // getCenterLine({
      //   id: this.activeId,
      //   weekFlag: this.weekFlag,
      //   monthFlag: this.monthFlag,
      //   startDay: this.value2 ? this.value2[0] : null,
      //   endDay: this.value2 ? this.value2[1] : null
      // }).then(res => {
      //   const data = res.data
      var chartDom = document.getElementById('main3');
      this.myChart = echarts.init(chartDom);
      this.options = {
        color: [ '#1877FF','#5EDEA5','#F7BE12','#55C6E1','#ED653B'],
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'shadow',
          },
        },

        // toolbox: {
        //   show: true,
        //   orient: 'vertical',
        //   left: 'right',
        //   top: 'center',
        //   feature: {
        //     mark: { show: true },
        //     dataView: { show: true, readOnly: false },
        //     magicType: { show: true, type: ['line', 'bar', 'stack'] },
        //     restore: { show: true },
        //     saveAsImage: { show: true },
        //   },
        // },

        series: [
          {

            name: 'Access From',
            type: 'pie',
            radius: ['40%','65%'],
            minAngle: 2, // 最小的扇区角度（0~360），用于防止某个值过小导致扇区太小影响交互
            avoidLabelOverlap: true, // 是否启用防止标签重叠策略
            itemStyle: {
              normal: {
                label: {
                  show: true,
                  formatter(param) {
                    // correct the percentage
                    return param.name + '\n' + ' ' + param.percent.toFixed(1) + '%';
                  }
                },
                labelLine: {
                  show: true,
                  length: 0.01
                }
              }
            },
            data: [
              { value: 1048, name: '计划工单' },
              { value: 735, name: '故障工单' },
              { value: 580, name: '日常工单' },

            ]
          }]
      };
      this.options && this.myChart.setOption(this.options);
    },
    changeWidth() {
      this.myChart.resize();
    },
  },
};
</script>
<style lang="scss" scoped>
#main3 {
  width: 100%;
  height: 300px;
}

.box-card {
  margin-top: 10px;
  width: 100%;
  border-radius: 10px;
  border: none;
  .card-title-right {
    display: flex;
    align-items: center;
    align-self: flex-end;
    float: right;
  }
}
</style>
